function initClientClasses() {
	
	if (typeof initializeClient != 'undefined') {
		initializeClient();
	}
	
	initClientControllers();
}
function initClientControllers() {
		
	var clientControllers = Client.initClient.clientControllers;
	var controllers = PainHawk.app.controllers;
	for (var i in clientControllers) {
		var cName = clientControllers[i];
		if (cName) {
			var nameStartIndex = cName.indexOf('.controller.');
			if (nameStartIndex != -1) {
				var name = cName.substring(nameStartIndex);
				var commonsOverwritten = false;
				for (var j in controllers) {
					if (controllers[j].indexOf(name) != -1) {
						commonsOverwritten = true;
						break;
					}
				}
				if (!commonsOverwritten) {
					Ext.create(cName, {application: PainHawk.app});
				}
			}
		}
	}
}